# contractors.templates.list

List contractor agreement templates: drafts written in Markdown and uploaded originals (PDF, Word or text).

`GET | POST /api/v1/accounting/contractors.templates.list`

Permissions: `accounting:read` · Roles: admin, finance

MCP tool: `accounting_contractors_templates_list`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `limit` | integer |  | How many results to return at most. 1 to 100. Default `30`. |
| `offset` | integer |  | How many results to skip, for the next page of a list. 0 to 9007199254740991. Default `0`. |

## Example request

```bash
curl https://app.getoatmilk.com/api/v1/accounting/contractors.templates.list \
  -H "Authorization: Bearer $OATMILK_API_KEY"
```

Reference page: https://app.getoatmilk.com/docs/api/contractors.templates.list
